.physical.form
    ValidationObserver(v-slot="{ valid, errors }")
        b-row.mt-4.justify-content-center
            b-col(cols="12" col md="10" lg="10")
                .l-subtitle.mb-4 Completa la información
                b-row
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Nombre *
                        ValidationProvider(name="Nombre" v-slot="{ errors }" rules="required|min:3")
                            b-form-input(
                                v-model="name"
                                autcomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Primer apellido *
                        ValidationProvider(name="Primer apellido" v-slot="{ errors }" rules="required|min:3")
                            b-form-input(
                                v-model="lastname_1"
                                autcomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Segundo apellido
                        b-form-input(
                            v-model="lastname_2"
                            autcomplete="off"
                        )
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Fecha de nacimiento *
                        ValidationProvider(name="Fecha de nacimiento" v-slot="{ errors }" rules="required")
                            b-form-datepicker(
                                id="example-datepicker"
                                v-model="birthdate"
                                :max="dateMinAge"
                                :min="dateMaxAge"
                                class="datepicker"
                                :date-format-options="{ year: 'numeric', month: 'numeric', day: 'numeric' }"
                                placeholder="Fecha de nacimiento"
                                locale="es"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Nacido en *
                        ValidationProvider(name="Lugar de nacimiento" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="place_of_birth",
                                :searchable="true"
                                :options="countries",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona un país"
                                track-by="key"
                                label="name"
                            )
                                template(slot="option" slot-scope="{ option }")
                                    span {{ option.name }}
                                template(slot="singleLabel" slot-scope="{ option }")
                                    span {{ option.name }}
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Género *
                        ValidationProvider(name="Sexo" v-slot="{ errors }" rules="required")
                            b-form-group
                                b-form-radio-group(
                                    id="radio-group-1"
                                    v-model="gender"
                                    :options="genderOptions"
                                    name="radio-options"
                                    track-by="key"
                                    label="name"
                                )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | País de residencia *
                        ValidationProvider(name="País" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="country",
                                :searchable="true"
                                :options="countries",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona país"
                                track-by="key"
                                label="name"
                            )
                                template(slot="option" slot-scope="{ option }")
                                    span {{ option.name }}
                                template(slot="singleLabel" slot-scope="{ option }")
                                    span {{ option.name }}
                            .form__error {{ errors[0] }}

                //- Identificación
                .l-subtitle.mb-4 Identificación
                b-row
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Nacionalidad *
                        ValidationProvider(name="Provincia" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="nationality",
                                :searchable="true"
                                :options="countries",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona un país"
                                track-by="key"
                                label="name"
                            )
                                template(slot="option" slot-scope="{ option }")
                                    span {{ option.name }}
                                template(slot="singleLabel" slot-scope="{ option }")
                                    span {{ option.name }}
                            .form__error {{ errors[0] }}

                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Estado civil *
                        ValidationProvider(name="Estado civil" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="marital_status",
                                :searchable="true"
                                :options="maritalStatusesOptions",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona una opción"
                                track-by="key"
                                label="name"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Documento *
                        ValidationProvider(name="Lugar de nacimiento" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="document_type",
                                :options="documentTypeOptions",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona documento"
                                track-by="key"
                                label="name"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Número *
                        ValidationProvider(name="Número de documento" v-slot="{ errors }" :rules="`${document_type && document_type.key === 'NIF' ? 'required|dni' : 'required'}`")
                            b-form-input(
                                v-model="document_number"
                                autcomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Fecha de validez
                        ValidationProvider(name="Fecha de validez" v-slot="{ errors }" :rules="`${is_document_permanent ? '' : 'required'}`")
                            b-form-datepicker(
                                :disabled="is_document_permanent"
                                v-model="document_date"
                                :min="new Date()"
                                class="datepicker"
                                :date-format-options="{ year: 'numeric', month: 'numeric', day: 'numeric' }"
                                placeholder="Fecha de validez"
                                locale="es"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Documento sin fecha de validez
                        b-form-checkbox.mb-4(
                            :value="true"
                            :unchecked-value="false"
                            name="is_document_permanent"
                            v-model="is_document_permanent"
                            @change="handleDocumentPermanent($event)"
                        )

                //- Vía de comunicación
                .l-subtitle.mb-4 Vía de comunicación
                b-row
                    b-col(cols="12" col md="12" lg="12" sm="12" xs="12")
                        label.form__label
                            | Vía de comunicación preferida *
                        ValidationProvider(name="Comunicacion" v-slot="{ errors }" rules="required")
                            b-form-group
                                b-form-radio-group(
                                    id="radio-group-2"
                                    v-model="comunicationType"
                                    :options="comunicationTypeOptions"
                                    name="radio-options-2"
                                    track-by="key"
                                    label="name"
                                )
                            .form__error {{ errors[0] }}

                .d-flex.justify-content-end
                    b-button.mt-5.e-btn.e-btn__brand.e-btn--sm-block(
                        :class="!valid ? 'disabled' : ''"
                        @click="handleNext(valid)"
                    ) Continuar
